Subject: Re: [PATCH net] net: dsa: qca8k: Use up to 7 ports for all operations

From: Andrew Lunn <[email-masked]>
Date: Mon, 30 Sep 2019 15:46:45 +0200

On Mon, Sep 30, 2019 at 03:34:31PM +0200, Michal Vokáč wrote:
> On 26. 09. 19 10:59, Michal Vokáč wrote:
> > The QCA8K family supports up to 7 ports. So use the existing
> > QCA8K_NUM_PORTS define to allocate the switch structure and limit all
> > operations with the switch ports.
> > 
> > This was not an issue until commit 0394a63acfe2 ("net: dsa: enable and
> > disable all ports") disabled all unused ports. Since the unused ports 7-11
> > are outside of the correct register range on this switch some registers
> > were rewritten with invalid content.
> > 
> > Fixes: 6b93fb46480a ("net-next: dsa: add new driver for qca8xxx family")
> > Fixes: a0c02161ecfc ("net: dsa: variable number of ports")
> > Fixes: 0394a63acfe2 ("net: dsa: enable and disable all ports")
> > Signed-off-by: Michal Vokáč <[email-masked]>
> 
> More recent patches on the list are getting attention.
> Is this one falling through the cracks?

Probably not, it is missing a review-by, from somebody David trusts.

Reviewed-by: Andrew Lunn <[email-masked]>

    Andrew